# Webhooks

Webhooks are an easy way to automatically communicate one app with another.\
In our application Webhooks are configured in menu [Integrations -> Webhooks.](https://app.pushpushgo.com/integrations/webhooks)

![](https://2886427578-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M_L2jrbLGTIbcnHMUrm%2F-MiaukGEJmEJA5tftUyR%2F-MiauxAKGrhq5Je43a-Y%2FScreenshot%20from%202021-09-02%2016-30-03.png?alt=media\&token=2137fdbe-2654-475c-9bab-a72ba03ab51b)

Specify what `Event` should trigger notification and define an api endpoint `Webhook Url` where we should send the request.

Webhooks are sent as POST requests, with body of type `IBody`

| IBody property name | type     | description                      |
| ------------------- | -------- | -------------------------------- |
| `projectId`         | `string` | your project identifier          |
| `customId`          | `string` | subscriber's customId if defined |
| `ppgId`             | `string` | subscriber identifier            |

{% hint style="info" %}
For every request we set an `X-PPG-Signature` header. Its value is a result of following operation:

\
We take the full JSON body and sign it using `HMAC-SHA1` with your `ProjectId` as the key.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pushpushgo.company/integrations/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
